<?php
/**
 * WP-JoomSport
 * @author      BearDev
 * @package     JoomSport
 */


class JoomSportAchievmentsPostTeam {
    public function __construct() {

    }
    public static function init(){
        self::register_post_types();
    }
    public static function register_post_types(){
        add_action("admin_init", array("JoomSportAchievmentsPostTeam","admin_init"));
        add_action( 'edit_form_after_title',  array( 'JoomSportAchievmentsPostTeam','team_edit_form_after_title') );
        add_filter( 'post_type_labels_joomsport_team', array( 'JoomSportAchievmentsPostTeam','team_replace_default_featured_image_meta_box'), 10,1 );

        register_post_type( 'jsprt_achv_team',
                apply_filters( 'joomsport_achievments_register_post_type_team',
                        array(
                                'labels'              => array(
                                                'name'               => __( 'Team', 'joomsport-achievements' ),
                                                'singular_name'      => __( 'Team', 'joomsport-achievements' ),
                                                'menu_name'          => _x( 'Teams', 'Admin menu name Teams', 'joomsport-achievements' ),
                                                'add_new'            => __( 'Add Team', 'joomsport-achievements' ),
                                                'add_new_item'       => __( 'Add New Team', 'joomsport-achievements' ),
                                                'edit'               => __( 'Edit', 'joomsport-achievements' ),
                                                'edit_item'          => __( 'Edit Team', 'joomsport-achievements' ),
                                                'new_item'           => __( 'New Team', 'joomsport-achievements' ),
                                                'view'               => __( 'View Team', 'joomsport-achievements' ),
                                                'view_item'          => __( 'View Team', 'joomsport-achievements' ),
                                                'search_items'       => __( 'Search Team', 'joomsport-achievements' ),
                                                'not_found'          => __( 'No Team found', 'joomsport-achievements' ),
                                                'not_found_in_trash' => __( 'No Team found in trash', 'joomsport-achievements' ),
                                                'parent'             => __( 'Parent Team', 'joomsport-achievements' )
                                        ),
                                'description'         => __( 'This is where you can add new team.', 'joomsport-achievements' ),
                                'public'              => true,
                                'show_ui'             => true,
                                'show_in_menu'        => 'joomsport_achievments',
                                'publicly_queryable'  => true,
                                'exclude_from_search' => false,
                                'hierarchical'        => false,
                                'query_var'           => true,
                                'supports'            => array( 'title','thumbnail' ),
                                'show_in_nav_menus'   => true,

                        )
                )
        );
    }
    public static function team_edit_form_after_title($post_type){
        global $post, $wp_meta_boxes;

        if($post_type->post_type == 'jsprt_achv_team'){
            
           // echo JoomSportMetaTeam::output($post_type);

        }
    

    }
    public static function team_replace_default_featured_image_meta_box($labels ) {

	$labels->featured_image 	= __('Logo', 'joomsport-achievements');
	$labels->set_featured_image 	= __('Set logo', 'joomsport-achievements');
	$labels->remove_featured_image 	= __('Remove logo', 'joomsport-achievements');
	$labels->use_featured_image 	= __('Use as logo', 'joomsport-achievements');

	return $labels;

    } 
    public static function admin_init(){
        //add_meta_box('joomsport_team_about_form_meta_box', __('About team', 'joomsport-achievements'), array('JoomSportMetaTeam','js_meta_about'), 'joomsport_team', 'joomsportintab_team1', 'default');
        
        //add_meta_box('joomsport_team_ef_form_meta_box', __('Extra fields', 'joomsport-achievements'), array('JoomSportMetaTeam','js_meta_ef'), 'joomsport_team', 'joomsportintab_team1', 'default');
        
        //add_action( 'save_post',      array( 'JoomSportMetaTeam', 'joomsport_team_save_metabox' ), 10, 2 );
    }
   
    
}    
